std::permutable(3cxx)

NAME
std::permutable - [alg.req.permutable], concept permutable

SYNOPSIS

#include <iterator_concepts.h>

Concept definition

template<typename _Iter>
concept std::permutable =  forward_iterator<_Iter>
      && indirectly_movable_storable<_Iter, _Iter>
      && indirectly_swappable<_Iter, _Iter>

Detailed Description

[alg.req.permutable], concept permutable

Author

Generated automatically by Doxygen for libstdc++ from the source code.